XmlIDREF (xmlbeans API)

org.apache.xmlbeans

## Interface XmlIDREF

- All Superinterfaces:
    XmlAnySimpleType, XmlName, XmlNCName, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource
  All Known Implementing Classes:
    XmlIdRefImpl

      public interface XmlIDREF
      extends XmlNCName

  Corresponds to the XML Schema xs:IDREF type.

  When validated, IDREF values must match an ID value that is present within the document. This rule is only verified when a whole document is validated at once.

  Convertible to a `String`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlIDREF>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlIDREF> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.